---
name: Bug Report
about: Report a bug in Harlequin.
title: ''
labels: ''
assignees: ''

---
**Before Proceeding, please acknowledge**:
- [ ] I have consulted the [Troubleshooting guide](https://harlequin.sh/docs/troubleshooting/index).
- [ ] I have searched Issues and Discussions in this repo.
- [ ] Feature requests should be initiated as Discussions. This is a bug report.

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Actual behavior**
A clear and concise description of what happened; please include screenshots or videos of Harlequin if possible.

**Contributing**
Are you interested in contributing a fix?
- [ ] Yes
- [ ] Maybe
- [ ] No

**Additional context**
*Please provide as much as you can, but don't waste your time if it's definitely not relevant or you don't know.*

What is the output of `harlequin --version`?

What database adapter are you using with Harlequin? (Default is `duckdb`)

What other options are you using when invoking Harlequin? (If you are using a profile, please add relevant items from your profile here).

Can you tell us more about your system?
- Shell:
- Terminal:
- OS of the shell:
- OS of the terminal (if different from the shell):
- Default locale / language for your OS/Terminal/Shell:

> [!TIP]
> For example, for my system, these are:
> - Bash
> - Windows Terminal
> - Ubuntu 22.04 / WSL2
> - Windows 11
> - en_US/UTF-8

How did you install Harlequin?
- [ ] pipx
- [ ] conda/mamba
- [ ] pip (global install)
- [ ] pip + venv/virtualenv or pipenv
- [ ] Poetry
- [ ] uv/Rye
- [ ] other: _____________
